gnutls_dh_params_generate2(3)

NAME
gnutls_dh_params_generate2 - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_dh_params_generate2(gnutls_dh_params_t params, unsigned int bits);

ARGUMENTS

gnutls_dh_params_t params
    Is the structure that the DH parameters will be stored

unsigned int bits
    is the prime's number of bits

DESCRIPTION
This function will generate a new pair of prime and generator for use in the Diffie-Hellman key exchange. The new parameters will be allocated using gnutls_malloc() and will be stored in the appropriate datum. This function is normally slow. Do not set the number of bits directly, use gnutls_sec_param_to_pk_bits() to get bits for GNUTLS_PK_DSA. Also note that the DH parameters are only useful to servers. Since clients use the parameters sent by the server, it's of no use to call this in client side.

RETURNS
On success, GNUTLS_E_SUCCESS (zero) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.